Bug 839594 - [rhev] [rhevm-webadmin] When you enter SD to “Maintenance” mode and then edit pool, pop-up “edit pool” stuck forever.
[rhev] [rhevm-webadmin] When you enter SD to “Maintenance” mode and then edi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Jelinek
Haim
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 07:58 EDT by vvyazmin@redhat.com
Modified: 2014-01-12 19:53 EST (History)
10 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error Edit Pool (173.72 KB, image/png)
2012-07-12 08:14 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-07-12 07:58:56 EDT
Description of problem:
UI Popup “edit pool” possess stuck.

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI9.1 

RHEV-M: rhevm-3.1.0-5.el6ev.noarch
VDSM: vdsm-4.9.6-17.0.el6.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create a template of VM on Storage Domain “A”
2. Create a new pool on template based, that you created on previous step
3. Move SD-01 to “Maintenance” mode
4. Edit your pool (that you create in step 3)

  
Actual results:
UI of “edit” possess is stuck (see print screen)

Expected results:
“Edit” function on “Pools” tab disable 
or
Can cancel stack possess 

Additional info:
Same behavior, when you “Force Remove” DC, and then edit your "pool".
Comment 1 vvyazmin@redhat.com 2012-07-12 08:14:29 EDT
Created attachment 597784 [details]
Error Edit Pool
Comment 2 Tomas Jelinek 2012-07-20 08:33:55 EDT
in gerrit: http://gerrit.ovirt.org/#/c/6480

The behavior is now the following: If the SD is in maintenance and the edit pool dialog is opened, it gets really opened with all the data filled (so it can be used to actually review how the pool is configured). When you press the OK button, the following error will be shown: 
Error while executing action: Cannot edit VM-Pool: Storage Domain cannot be accessed.
-Please check that at least one Host is operational and Data Center state is up.
Comment 3 Tomas Jelinek 2012-07-24 07:57:38 EDT
merged: ad1777624dcb19da953977b15385b05524a4f448
Comment 4 Haim 2012-07-31 03:30:53 EDT
verified on SI12.

Note You need to log in before you can comment on or make changes to this bug.